Loading...
Searching...
No Matches
gx_engine::MaxLevel Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::MaxLevel:

## Public Member Functions

| MaxLevel ()

## Static Public Member Functions

static float | get (unsigned int channel)

## Static Public Attributes

static const unsigned int | channelcount = 2

## Static Private Member Functions

static void | process (int count, float *input0, float *input1, float *output0, float *output1, PluginDef *)
static int | activate (bool start, PluginDef *plugin)
static int | regparam (const ParamReg &reg)

## Static Private Attributes

static float | maxlevel [channelcount]

## Additional Inherited Members

Public Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Detailed Description

Definition at line 50 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## MaxLevel()

gx_engine::MaxLevel::MaxLevel | ( |  | ) |

## Member Function Documentation

## activate()

int gx_engine::MaxLevel::activate | ( | bool | start,
|  | PluginDef * | plugin )

static private

## get()

float gx_engine::MaxLevel::get | ( | unsigned int | channel | ) |

inline static

Definition at line 60 of file gx_internal_plugins.h.

## process()

void gx_engine::MaxLevel::process | ( | int | count,
|  | float * | input0,
|  | float * | input1,
|  | float * | output0,
|  | float * | output1,
|  | PluginDef * | )

static private

## regparam()

int gx_engine::MaxLevel::regparam | ( | const ParamReg & | reg | ) |

static private

## Member Data Documentation

## channelcount

const unsigned int gx_engine::MaxLevel::channelcount = 2

static

Definition at line 52 of file gx_internal_plugins.h.

Referenced by get().

## maxlevel

float gx_engine::MaxLevel::maxlevel[channelcount]

static private

Definition at line 54 of file gx_internal_plugins.h.

Referenced by get().

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h